Bug 69679 - Changing my video card caused my keyboard to take on a US configuration in Gnome
Changing my video card caused my keyboard to take on a US configuration in Gnome
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Gnome keyboard setting lost with vide...
Depends On:
  Show dependency treegraph
Reported: 2002-07-24 09:22 EDT by Fred New
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-28 00:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-07-24 09:22:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
I switched my video card from an S3 Trio64 (generic) to an ATI Mach 64 VT
(264VT).  Kudzu correctly detected it, but then called Xconfigurator and reset
my keyboard from Estonian to US.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Installed Limbo on a PC with an S3 Trio64 video card.  I didn't like how
poorly it worked.
2. Shutdown the computer and replaced the card with the ATI Mach 64 VT.
3. Started the computer.
4. Kudzu detected the new card and started Xconfigurator to prompt for a
preferred resolution, color depth, and whether to start X at boot time.
5. Kudzu ended; X started
6. Everything looked fine until I entered my password.  Further testing showed
that my keyboard was configured as US.  It is still Estonian on virtual consoles.

Actual Results:  Keyboard configuration changed to US.

Expected Results:  Keyboard configuration to remain Estonian.

Additional info:

#rpm -q kudzu Xconfigurator
Comment 1 Bill Nottingham 2002-07-28 22:54:27 EDT
Hm..., this is because kudzu doesn't read the keyboard info, I think, and
Xconfigurator may default to US keyboard.

Well, future versions of kudzu will call redhat-config-xfree86; this may solve
the problem, in that it will probably use a different algorithm.
Comment 2 Fred New 2002-07-30 01:43:54 EDT
Yeh, I noticed the movement toward using redhat-config-xfree86, so this bug can 
have a low priority until that movement is complete.  (That is, assuming this 
movement is complete before Limbo leaves beta.)

I have confirmed that Xconfigurator is the guy who resets the keyboard to US.  
I re-installed the system with one monitor and used Xconfigurator to use a 
second monitor and the keyboard settings changed at the same time.
Comment 3 Fred New 2004-09-28 00:58:09 EDT
I haven't seen this problem since I originally reported it.  I don't
think we need to worry about it anymore.

Note You need to log in before you can comment on or make changes to this bug.